Summary: Defined common error values and some features for all GnuPG components
Name: libgpg-error
Version: 1.47
Release: 3%{?dist}
URL: https://www.gnupg.org/related_software/libgpg-error/
License: LGPLv2+

Source0: https://www.gnupg.org/ftp/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2

# Patch3000 is from fedora, to help disable rpath
Patch3000: libgpg-error-1.29-multilib.patch

BuildRequires: gcc make autoconf automake
 
%description
Libgpg-error is a small library that originally defined common error 
values for all GnuPG components. Among these are GPG, GPGSM, GPGME, 
GPG-Agent, libgcrypt, Libksba, DirMngr, Pinentry, SCdaemon. Because 
Libgpg-error is a common dependency all GnuPG components, more features 
have been added to the library:
* An extended stream library (estream) which for example allows the use of memory or cookie based streams.
* A printf implementation to provide a uniform interface on all platforms. This also includes asprintf style functions.
* An implementation of locks (mutexes).
* A gettext implementation for use on Windows
* A Base64 decoder


%package devel
Summary: Development files of the %{name}
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides libraries and header files of %{name}.The library 
will eventually be renamed to Libgpgrt to reflect that this is a runtime
library for GnuPG and other software which likes to use it. 
The latest version already comes with a header file "gpgrt.h" which can be
used instead of "gpg-error.h".


%prep
%autosetup -p1


%build
autoreconf -f
# Modify configure to drop rpath for /usr/lib64
sed -i -e 's|sys_lib_dlsearch_path_spec="/lib /usr/lib|sys_lib_dlsearch_path_spec="/lib /usr/lib %{_libdir}|g' configure
%configure \
    --disable-static \
    --disable-rpath \
    --enable-install-gpg-error-config \
    %{nil}

%make_build


%install
%make_install
rm -f  %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_datadir}/common-lisp
rm -f %{buildroot}%{_infodir}/dir
%find_lang %{name}


%check
%make_build check


%files -f %{name}.lang
%license COPYING COPYING.LIB
%doc AUTHORS README NEWS
%{_datadir}/libgpg-error
%{_libdir}/libgpg-error.so.0*
%{_bindir}/gpg-error


%files devel
%{_includedir}/gpg*.h
%{_datadir}/aclocal/gpg*.m4
%{_infodir}/gpgrt.info.gz
%{_libdir}/libgpg-error.so
%{_libdir}/pkgconfig/gpg-error.pc
%{_bindir}/gpg-error-config
%{_bindir}/gpgrt-config
%{_bindir}/yat2m
%{_mandir}/man1/gpgrt-config.*
%{_mandir}/man1/gpg-error-config.*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.47-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.47-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 1 2023 Shuo Wang <abushwang@tencent.com> - 1.47-1
- update to 1.47

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.45-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.45-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 doriscchao <doriscchao@tencent.com> - 1.45-1
- initial build, Version 1.45, Release 1
